<div>
    <div class="flex justify-end">

        <!-- <p-button (click)="isVisibleVitalSign = true" icon="pi pi-arrow-right"> บันทึก V/S</p-button> -->



<!--         <div class="flex flex-wrap justify-content-end tw-mt-3 tw-gap-x-3">
            <button pButton pRipple type="button" icon="pi pi-plus" label="เพิ่ม" class="p-button-primary" pTooltip="บันทึก Vital Sign" tooltipPosition="top"
                (click)="showModalVsAdd()" size="small"></button>   
                <button pButton pRipple type="button" icon="pi pi-pencil" label="แก้ไข" class="p-button-warning" pTooltip="แก้ไข Vital Sign" tooltipPosition="top"
                (click)="showModalVSEdit()" size="small"></button>           

        </div> -->

        <p-sidebar [(visible)]="isVisibleVitalSign" position="right" styleClass="w-full md:w-8 xl:w-7">
            <ng-template pTemplate="header"><h4 class="text-blue-500 font-bold"><i class="pi pi-chart-line mr-2"></i>บันทึก Vital Sign</h4></ng-template>
            <ng-template pTemplate="content">
                <div class="surface-section pl-2">
                    <div class="font-bold text-xl text-800 pl-4">รอบที่ </div>
                    <div class="">
                        <p-dropdown [options]="roundnurse3" [(ngModel)]="selectedRoundNurse" optionLabel="name"
                            [showClear]="true" placeholder="เลือกรอบ"></p-dropdown>
                    </div>
                </div>
                    <div class="surface-section px-4 tw-mt-8">
                        <div class="font-bold text-xl text-800 tw-mb-4">Vital Sign </div>
                        <div class="grid nogutter">
                            <div class="flex flex-wrap tw-mb-4">
                                <div>
                                    <label>RR : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="rr" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="rr" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>BP : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="sp" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="sp" class="tw-min-w-28 tw-w-28" /> -->
                                        <label class="flex mt-1 ml-2 mr-2"> / </label>
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="dp" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="dp" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>BW : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" mode="decimal" [(ngModel)]="bw" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" [minFractionDigits]="0" 
                                        [maxFractionDigits]="2" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="bw" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                            </div>
                            
                                <div>
                                    <label>BT : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" mode="decimal" [(ngModel)]="bt" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" [minFractionDigits]="0" 
                                        [maxFractionDigits]="2" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="bt" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>PR : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" mode="decimal" [(ngModel)]="pr" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" [minFractionDigits]="0" 
                                        [maxFractionDigits]="2" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="pr" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>PAIN SCORE : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" mode="decimal" [(ngModel)]="painscore" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" [min]="0" 
                                        [max]="10" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="painscore" required class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                            
                        </div>
                    </div>

                    <div class="surface-section px-4 tw-mt-8">
                        <div class="font-bold text-xl text-800 tw-mb-4">Intake </div>
                        <div class="grid nogutter">
                            <div class="flex flex-wrap tw-mb-4">
                                <div>
                                    <label>Oral Fluide : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="oralfluide" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="oralfluide" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>Parenterat : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="parenterat" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="parenterat" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="surface-section px-4 tw-mt-8">
                        <div class="font-bold text-xl text-800 tw-mb-4">Outtake </div>
                        <div class="grid nogutter">
                            <div class="flex flex-wrap tw-mb-4">
                                <div>
                                    <label>Urine : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="urineout" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="urineout" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>Emesis : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="emesis" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="emesis" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>Drainage : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="drainage" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="drainage" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                            </div>
                                <div>
                                    <label>Aspiration : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="aspiration" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="aspiration" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                        </div>
                    </div>
                    <div class="surface-section px-4 tw-mt-8">
                        <div class="font-bold text-xl text-800 mb-3">Others </div>
                        <div class="grid nogutter">
                            <div class="flex flex-wrap">
                                <div>
                                    <label>Stools : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="stools" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="stools" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>Urine : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="urine" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="urine" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>Medications : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="medications" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="medications" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
            

            </ng-template>
            <ng-template pTemplate="footer">
                <div class="flex tw-w-full tw-justify-center">
                <button pButton pRipple type="button" label="บันทึก" class="p-button-success" style="width: 160px;font-size: large;"
                (click)="saveNurseVitalsign()" size="small"></button>
                </div>
            </ng-template>


        </p-sidebar>

        <!-- [style]="{width:'1000px'}" -->
        <p-sidebar [(visible)]="isVisibleVSEdit" position="right" styleClass="w-full md:w-8 xl:w-7">
            <ng-template pTemplate="header"><h4 class="text-blue-500 font-bold"><i class="pi pi-chart-line mr-2"></i>แก้ไข Vital Sign (*เฉพาะรอบล่าสุด)</h4></ng-template>

            <ng-template pTemplate="content">

                <div class="surface-section px-4 tw-mt-8">
                    <div class="font-bold text-xl text-800 tw-mb-4">Vital Sign </div>
                    <div class="grid nogutter">
                        <div class="flex flex-wrap tw-mb-4">
                                <div>
                                    <label>RR : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="rr" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="rr" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>BP : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="sp" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="sp" class="tw-min-w-28 tw-w-28" /> -->
                                        <label class="flex mt-1 ml-2 mr-2"> / </label>
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="dp" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="dp" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>BW : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" mode="decimal" [(ngModel)]="bw" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" [minFractionDigits]="0" 
                                        [maxFractionDigits]="2" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="bw" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                            </div>
                            
                                <div>
                                    <label>BT : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" mode="decimal" [(ngModel)]="bt" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" [minFractionDigits]="0" 
                                        [maxFractionDigits]="2" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="bt" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>PR : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" mode="decimal" [(ngModel)]="pr" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" [minFractionDigits]="0" 
                                        [maxFractionDigits]="2" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="pr" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>PAIN SCORE : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" mode="decimal" [(ngModel)]="painscore" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" [min]="0" 
                                        [max]="10" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="painscore" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                            
                        </div>
                    </div>

                    <div class="surface-section px-4 tw-mt-8">
                        <div class="font-bold text-xl text-800 tw-mb-4">Intake </div>
                        <div class="grid nogutter">
                            <div class="flex flex-wrap tw-mb-4">
                                <div>
                                    <label>Oral Fluide : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="oralfluide" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="oralfluide" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>Parenterat : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="parenterat" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="parenterat" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="surface-section px-4 tw-mt-8">
                        <div class="font-bold text-xl text-800 tw-mb-4">Outtake </div>
                        <div class="grid nogutter">
                            <div class="flex flex-wrap tw-mb-4">
                                <div>
                                    <label>Urine : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="urineout" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="urineout" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>Emesis : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="emesis" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="emesis" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>Drainage : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="drainage" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="drainage" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                            </div>
                            <div>
                                <label>Aspiration : </label>
                                <div class="flex mr-5">
                                    <p-inputNumber inputId="integeronly" [(ngModel)]="aspiration" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                    <!-- <input type="text" pInputText [(ngModel)]="aspiration" class="tw-min-w-28 tw-w-28" /> -->
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="surface-section px-4 tw-mt-8">
                        <div class="font-bold text-xl text-800 mb-3">Others </div>
                        <div class="grid nogutter">
                            <div class="flex flex-wrap">
                                <div>
                                    <label>Stools : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="stools" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="stools" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>Urine : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="urine" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="urine" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                                <div>
                                    <label>Medications : </label>
                                    <div class="flex mr-5">
                                        <p-inputNumber inputId="integeronly" [(ngModel)]="medications" [inputStyle]="{'width':'6rem'}" [useGrouping]="false" mode="decimal" class="p-inputnumber-input-my"></p-inputNumber>
                                        <!-- <input type="text" pInputText [(ngModel)]="medications" class="tw-min-w-28 tw-w-28" /> -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
            

            </ng-template>
            <ng-template pTemplate="footer">
                <div class="flex tw-w-full tw-justify-center">
                <button pButton pRipple type="button" label="บันทึก" class="p-button-success" style="width: 160px;font-size: large;"
                (click)="saveNurseVitalsign()" size="small"></button>
                </div>
            </ng-template>


        </p-sidebar>

    </div>
    <!-- <table class="custom-table">
        <thead>
            <tr>
                <th class="text-xs" colspan="2">Date</th>
                <th class="text-xs" *ngFor="let date of datetop">{{ date }}</th>
            </tr>
            <tr>
                <th class="text-xs" colspan="2">Day Admission</th>
                <th class="text-xs" *ngFor="let date of datetop;let i = index">{{ i+1 }}</th>
            </tr>
            <tr>
                <th class="text-xs" colspan="2">after Operation</th>
                <th class="text-xs" *ngFor="let date of datetop;let i = index"></th>
            </tr>
            <tr>
                <th style="width: 4.4%;" class="text-xs">Pulse</th>
                <th style="width: 4.3%;" class="text-xs"> ํC</th>
                <th class="text-xs" *ngFor="let date of datetop" style="padding: 1;">
                <ng-container *ngFor="let date of roundnurse1; let i = index">
                <th class="text-xs" style="width: 5%;">{{ 2 + 4 * i }}</th>
                </ng-container>
                </th>
               <th class="text-xs" *ngFor="let r of roundnurse; let i = index">{{ r }}</th>  


            </tr>

        </thead>

    </table> -->
    <!--The content below is only a placeholder and can be replaced.-->
    <div class="flex tw-flex-col justify-center">
        <div *ngIf="is_vs_data" style="height: 500px;" class="flex flex-col tw-w-full  bg-blue-50 justify-center content-center place-self-center text-center">
            <apx-chart *ngIf="chartDataLoaded" [series]="chartOptions.series" [chart]="chartOptions.chart" [xaxis]="chartOptions.xaxis"
                [stroke]="chartOptions.stroke" [colors]="chartOptions.colors" [dataLabels]="chartOptions.dataLabels"
                [legend]="chartOptions.legend" [markers]="chartOptions.markers" [grid]="chartOptions.grid"
                [yaxis]="chartOptions.yaxis" [title]="chartOptions.title" class="flex tw-w-4/5">
            </apx-chart>
            <div class="flex tw-w-full tw-justify-center tw-mt-4">
                <table>
                    <tr>
                        <th *ngFor="let r of vitalSignRound">{{r.round_time}}</th>
                    </tr>
                </table>
            </div>
        </div>

    </div>



</div>